Bug 239359 - koji does not build for i586, i686
koji does not build for i586, i686
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: koji (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-07 16:27 EDT by Ville Skyttä
Modified: 2013-01-09 20:38 EST (History)
3 users (show)

See Also:
Fixed In Version: 1.2.2-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-18 18:30:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2007-05-07 16:27:03 EDT
http://koji.fedoraproject.org/koji/taskinfo?taskID=4514

"make build" in the devel branch did not result in the i586 nor i686 packages
built, even though em8300-kmod.spec has "ExclusiveArch: i586 i686 x86_64 ppc
ppc64" which works as expected with plague.  i586 and i686 are needed at least
for kernel module packages.
Comment 1 Jesse Keating 2007-05-07 16:37:48 EDT
This is actually something configurable per package in koji.  Each package can
have an 'extra arches' list to build for.  For each kernel module package would
have to get these extra arches, just like the kernel package.

See the bottom of http://koji.fedoraproject.org/koji/packageinfo?packageID=8

To set it, you'd use koji set-pkg-arches

See koji help --admin
Comment 2 Mike McLean 2007-05-07 16:46:16 EDT
Actually, autoexpanding the arch list from ExclusiveArch is something I've
thought about adding (staying within the canonical arches for the tag, that is).
Should be easy enough to implement.
Comment 3 Mike McLean 2007-05-07 17:34:38 EDT
I've made a change for this in git. As long as it doesn't go outside the
canonical arches for the tag, ExclusiveArch can expand the arch list. This means
arches like i586 and i686 can be added as long as their canonical arch (i386 in
this case) is in the list for the tag.

This should reduce, but not eliminate, the need for set-pkg-arches.
Comment 4 Ville Skyttä 2007-05-07 18:03:36 EDT
set-pkg-arches sounds good, but I don't have enough permissions to do it:

$ koji set-pkg-arches i586 i686 dist-f7 em8300-kmod
koji.ActionNotAllowed: admin permission required


Regarding using ExclusiveArch to *add extra archs* to build for, if you want my
opinion, it'd be better if that hack just died now that a real alternative for
doing exactly what is wanted (ie. tell the build system what archs to build this
package for) is available.  Interpreting ExclusiveArch that way is IMO abuse of
the tag; it's kind of hard to explain why but I think it is wrong the same way
as it would be to interpret for example "Requires: foo >= 1.0" as "I require
*all* available versions of foo that have version greater than or equal to 1.0
installed, not just some version greater than equal to 1.0".
Comment 5 Thorsten Leemhuis 2007-05-08 00:36:23 EDT
(In reply to comment #4)
> Regarding using ExclusiveArch to *add extra archs* to build for, if you want my
> opinion, it'd be better if that hack just died now that a real alternative for
> doing exactly what is wanted (ie. tell the build system what archs to build this
> package for) is available.  Interpreting ExclusiveArch that way is IMO abuse of
> the tag; [...]

+1

I'd even say we remove the ExclusiveArch hack from the current kmod
specification soon when koji is properly capable to do what we want without such
hacks (e.g. when the "koji.ActionNotAllowed: admin permission required" problem
or any other problems that show up got solved)

Comment 6 Mike McLean 2007-05-08 10:40:57 EDT
Frankly the extra-arches data feels like a bit of a hack too.  It just doesn't
seem like the right place the store the data. 

I agree that using these header fields this way is something of an abuse, but at
least it keeps this data in the srpm. You may find that storing it in the db has
its share of annoyances.
Comment 7 Thorsten Leemhuis 2007-05-22 12:40:24 EDT
Please see:
https://www.redhat.com/archives/fedora-devel-list/2007-May/msg01374.html

Seems at least beagle and pm-utils now get build for i386, i486, i586, i686 and
athlon, as both contain "ExclusiveArch: %ix86 [...]"

Is that a side effect of the change discussed here? 

/me wonders if we should revert the change for fix all affected packages
Comment 8 Jesse Keating 2007-05-22 12:45:23 EDT
I think we should revert the change.  Not something we want to deal with at a
distribution release point.
Comment 9 Mike McLean 2007-05-22 12:50:48 EDT
I'll revert the change...
Comment 10 Bill Nottingham 2007-05-22 13:00:54 EDT
Are we going to unimport the unneeded beagle/pm-utils builds?
Comment 11 Mike McLean 2007-05-22 13:20:32 EDT
I've reverted the change for ExclusiveArch. You can still expand the list with
BuildArch, though. This seems safer and more sensible

Bill, we probably just ought to rebuild them (once this change is rolled out).
Comment 12 Thorsten Leemhuis 2007-06-03 07:32:38 EDT
(In reply to comment #11)
> I've reverted the change for ExclusiveArch. 

That was on 2007-05-22 -- but it seems some days ago there were sill packages
build for all %{ix86} archs; for example:

2007-05-29 15:10  kvm-26-1.fc8.athlon.rpm
2007-05-29 11:02  pm-utils-0.99.3-6.fc8.athlon.rpm

What's the status of this bug?
Comment 13 Mike McLean 2007-06-04 09:13:40 EDT
The change was pushed into git at that time, but the koji.fp.o servers haven't
gotten it yet. Should be early this week.
Comment 14 Fedora Update System 2007-06-18 18:30:25 EDT
koji-1.2.2-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Ville Skyttä 2007-07-11 15:35:27 EDT
I'm about to build a new em8300 kernel module set in Rawhide.  Do I still need
ExclusiveArch/ExcludeArch for something, eg. to prevent Koji from trying to
build stuff for a nonexistent i386 kernel?  I've mailed rel-eng, asking to add
i686 to the em8300-kmod dist-f8 extra arches (no more need for i586 it seems).

Note You need to log in before you can comment on or make changes to this bug.